<?php
/**
 * @package linea21.modules
 * @subpackage dashboard
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')){
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////

include_once("../lib/input_helpers.php");
if(!isset($_GET['id']) && !isset($_POST['id'])) {
  $id=1;
} else {
  if(isset($_POST['id']))	$id=$_POST['id'];
  if(isset($_GET['id']))	$id=$_GET['id'];
}
if(!isset($_GET['scale_id']) && !isset($_POST['scale_id'])) {
  $scale_id=1;
} else {
  if(isset($_POST['scale_id']))	$scale_id=$_POST['scale_id'];
  if(isset($_GET['scale_id']))	$scale_id=$_GET['scale_id'];
}


$link_mod_sdi="index.php?&amp;rub=sdi&amp;todo=det&amp;id=";
$link_cancel=$rub_link."&amp;todo=det&amp;id=".$id."&amp;scale_id=".$scale_id;

if (isset($_POST['enregistrer'])) {
  $data_table = unserialize(urldecode($_POST['data_table']));
  $sdi_object= new sdi;
  $result=$sdi_object->AddValue($data_table, $sql_object);
  $link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&id=".$id."&scale_id=".$scale_id;
  if(isset($result)) header("Location: ".$link_confirm);
  else  system_error();
}
$form_value ="";
$form_sdi_id ="";
$form_scale_id = $scale_id;
$form_date ="";
$form_statut = "";
$mask_statut_P="checked=\"checked\"";
$mask_statut_D='';

if (isset($_POST['valider1'])) {

  $table[0] = $_POST['value'];
  $table[1] = $_POST['id'];
  $table[2] = $_POST['scale'];
  $table[3] = $_POST['date'];
  $table[4] = $_POST['statut'];
  $sdi_object = new sdi;
  $integrity = $sdi_object -> CheckDataIntegrity_value($table, $sql_object);
  $form_value =$_POST['value'];
  $form_sdi_id =$_POST['id'];
  $form_scale_id =$_POST['scale'];
  $form_date =$_POST['date'];
  $form_statut = $_POST['statut'];
  if($form_statut=='D') $mask_statut_D="checked=\"checked\""; else $mask_statut_D='';
  if($form_statut=='P') $mask_statut_P="checked=\"checked\""; else $mask_statut_P='';
  $table = urlencode(serialize($table));
}

include_once(THEME_ADMIN_PATH."quickicons.php");
$resultscale = $sql_object -> DBSelect($req_list_scale);
$listing=ScaleSelectBox($resultscale, "scale" ,$form_scale_id) ;

$sdi_object= new sdi;
$req_sdii=SQL_getInfoSdi($id);
$result_sdii = $sql_object -> DBSelect($req_sdii);
$req_sdiav=SQL_getAllValue("SCA", $scale_id, $id);
$result_value = $sql_object -> DBSelect($req_sdiav);

$navtitle=_t('dashboard','add')." : ".$result_sdii[0]['sdii_name'];
?>
<div id="chemin">
<ul>
	<li><a href="index.php" class="chemin_home"><?php echo _t('way','home'); ?></a>
	</li>
	<li><a href="<?php echo $rub_link;
	?>" id="chemin_<? echo $rub; ?>" class="chemin_rub"><?php echo _t('menu','dashboard');?></a></li>
	<li><span><?php echo formatnavTitle($navtitle); ?></span></li>
</ul>
</div>
<!--end barre haute -->

<script type="text/javascript" charset="utf-8">
    Date.format = '<?php echo DATE_FORMAT ?>';
    
	$.dpText = {
	TEXT_PREV_YEAR		:	'<?php echo _t('datePicker','TEXT_PREV_YEAR'); ?>',
	TEXT_PREV_MONTH		:	'<?php echo _t('datePicker','TEXT_PREV_MONTH'); ?>',
	TEXT_NEXT_YEAR		:	'<?php echo _t('datePicker','TEXT_NEXT_YEAR'); ?>',
	TEXT_NEXT_MONTH		:	'<?php echo _t('datePicker','TEXT_NEXT_MONTH'); ?>',
	TEXT_CLOSE			:	'<?php echo _t('datePicker','TEXT_CLOSE'); ?>',
	TEXT_CHOOSE_DATE	:	'<?php echo _t('datePicker','TEXT_CHOOSE_DATE'); ?>'
	}
	
	$(function()
	{
		$('.date-pick').datePicker({startDate:'01/01/1990'});
		
    });
</script>

	<?php
	if (!isset($integrity) || is_string($integrity)) {

	  ?>
<div class="contentcontainer"><?php
include_once($dir . "/menurub.php");

?>
<div id="content"><?php
if (isset($integrity) && is_string($integrity)) display_errors($integrity);

if (IsSuperAdmin()){?>
<div class="mod_link"><a href="<?php echo $link_mod_sdi.$id ;?>"><?php echo _t('dashboard','det_sdi');?></a>
</div>
<br class="brendstep" />
<?php
}?>
<h2><?php echo _t('dashboard','add_title1'); ?></h2>

<form id="addvalue" action="<?php echo $_SERVER['SCRIPT_NAME'];
    ?>"
	method="post">
<p><label for="value"><?php echo _t('dashboard','value') ?>
* (<?php echo $result_sdii[0]['sdii_unit']; ?>) :</label> <input
	name="value" type="text" id="value" maxlength="255"
	value="<?php echo $form_value;
    ?>" class="textfield" /></p>
<p><label for="scale"><?php echo _t('dashboard','scale') ?>
* : </label> <?php echo $listing; ?></p>
<br />
<p><label for="statut_P"><? echo _t('divers','statut'); ?>
* : </label> <input name="statut" type="radio" id="statut_P" value="P"
    <?php echo $mask_statut_P; ?> /><span class="radio"><?php echo _t('statut','public'); ?></span>
<input name="statut" type="radio" id="statut_D" value="D"
    <?php echo $mask_statut_D; ?> /><span class="radio"><?php echo _t('statut','draft'); ?></span>
<br />
</p>
<p><label for="date"><? echo _t('dashboard','date'); ?> :
</label> <input name="date" type="text" maxlength="10" id="date"
	class="date-pick shorttextfield date-text"
	value="<?php echo $form_date; ?>" /></p>
<br class="brendstep" />
<div class="sdi_det"><a name="affeval" id="affeval"
	style="display: none;"></a> <a href="#affeval"
	onclick="$('#evaluation').slideToggle();"><?echo _t('sdi','info_mesure');?></a>
</div>
<div id="evaluation" style="display: none;"><br class="brendstep" />
<table cellspacing="0" cellpadding="3">
	<thead>
		<tr>
		<?
		echo "<td>"._t('sdi','unit')."</td>\n";
		echo "<td>"._t('sdi','max_value')."</td>\n";
		echo "<td>"._t('sdi','min_value')."</td>\n";
		echo "<td>"._t('sdi','threshold_value')."</td>\n";
		?>
		</tr>
	</thead>
	<tbody>
	<?echo "<tr>\n";
	echo "<td>". $result_sdii[0]['sdii_unit']."</td>\n";
	echo "<td>". $result_sdii[0]['sdii_max_value']."</td>\n";
	echo "<td>". $result_sdii[0]['sdii_min_value']."</td>\n";
	echo "<td>". $result_sdii[0]['sdii_threshold_value']."</td>\n";
	echo "</tr>\n";
	?>
	</tbody>
</table>
</div>
	<? if ($result_value<>false) {?>
<div class="sdi_det"><a name="affval" id="affval" style="display: none;"></a>
<a href="#affval" onclick="$('#valeur').slideToggle();"><?echo _t('dashboard','all_value');?></a>
</div>
<div id="valeur" style="display: none;"><br class="brendstep" />
<table cellspacing="0" cellpadding="3">
	<thead>
		<tr>
		<?
		echo "<td>"._t('dashboard','date')."</td>\n";
		echo "<td>"._t('dashboard','value')." (".formatText($result_sdii[0]['sdii_unit'], '2HTML').")"."</td>\n";
		?>
		</tr>
	</thead>
	<tbody>
	<?

	for ($i=0;$i<count($result_value);$i++){
	  echo "<tr>\n";
	  echo "<td>". formatText($result_value[$i]['date_p'], '2HTML')."</td>\n";
	  echo "<td>". formatText($result_value[$i]['sdiv_value'], '2HTML');
	  if ($result_value[$i]['sdiv_statut']=='D') {
	    echo "<span class=\"state\">"._t('statut','draft')."</span>";
	  }
	  echo "</td>\n";
	  echo "</tr>\n";

	}
	?>
	</tbody>
</table>
	<? }
	else echo "<div class=\"info\">"._t('dashboard','novalue');
	?></div>



<div><br class="brendstep" />
<input name="id" type="hidden" value="<?php echo $id; ?>" id="id" /> <input
	name="scale_id" type="hidden" value="<?php echo $scale_id; ?>"
	id="scale_id" /> <input name="rub" type="hidden"
	value="<?php echo $rub; ?>" id="rub" /> <input name="todo"
	type="hidden" value="<?php echo $todo; ?>" id="todo" /> <? echo cancel_button($link_cancel); ?>

<input name="valider1" type="submit"
	value="<?php echo _t('btn','valid') ?>" class="button"
	id="valider" /></div>
</form>
</div>
	<?php include_once($dir . "/help.php");
	?></div>
	<?php
	// Récapitulatif
	} else {
	  if (!isset($integrity5) || is_string($integrity5)) {


	    $table=unserialize(urldecode($table));
	    $recap_nc = _t('divers','none');
	    function empty_form($var, $recap_nc)
	    {
	      if (empty($var)) $var2 = $recap_nc;
	      else $var2 = $var;
	      return $var2;
	    }
	    	

	    $req_scale=SQL_getonescale($table[2]);
	    $resultscale2 = $sql_object -> DBSelect($req_scale);
	    	
	    $display_sdi_value = $table[0];
					//afficher nom de scale
					$display_sdi_scale = formatText($resultscale2[0]['scale_denomination'], '2HTML');
					$display_sdi_date = $table[3];
					$display_sdi_date2=explode ("-", $display_sdi_date);
					$display_sdi_date=$display_sdi_date2[2]."-".$display_sdi_date2[1]."-".$display_sdi_date2[0];
					$display_sdi_statut= $table[4];
					$table = urlencode(serialize($table));

					?>
<div class="contentcontainer"><?php
include_once($dir . "/menurub.php");

?>
<div id="content">
<h2><?php echo _t('recap','title') ;
?></h2>
<dl class="dl3">
	<dt><?php echo _t('dashboard','value');
	?> :</dt>
	<dd><?php echo $display_sdi_value." ".$result_sdii[0]['sdii_unit']  ;
	?><br />
	</dd>
	<dt><?php echo _t('sdi','name2') ;
	?> :</dt>
	<dd><?php echo formatText($result_sdii[0]['sdii_name'], '2HTML');
	?><br />
	</dd>
	<dt><?php echo _t('divers','statut') ;
	?> :</dt>
	<dd><?php echo display_statut($display_sdi_statut) ;
	?><br />
	</dd>
	<dt><?php echo _t('dashboard','date') ;
	?> :</dt>
	<dd><?php echo $display_sdi_date ;
	?><br />
	</dd>
	<dt><?php echo _t('dashboard','scale') ;
	?> :</dt>
	<dd><?php echo $display_sdi_scale ;
	?><br />
	</dd>
</dl>
<form id="addvalue2"
	action="<?php echo $_SERVER['SCRIPT_NAME'];
                    ?>"
	method="post">
<div><input name="rub" type="hidden"
	value="<?php echo $rub;
                    ?>" id="rub" /> <input name="todo" type="hidden"
	value="<?php echo $todo;
                    ?>" id="todo" /> <input name="id" type="hidden"
	value="<?php echo $id;
            ?>" id="id" /> <input name="scale_id" type="hidden"
	value="<?php echo $scale_id; ?>" id="scale_id" /> <input
	name="data_table" type="hidden" value="<?php echo $table;
	?>"
	id="data_table" /> <? echo cancel_button($link_cancel); ?> <input
	name="retour" type="button"
	value="<?php echo _t('btn','preview') ?>" class="button"
	id="retour" onclick="history.go(-1);" /> <input name="enregistrer"
	type="submit" value="<?php echo _t('btn','save') ?>"
	class="button" id="valider" /></div>
</form>
</div>
	<?php include_once($dir . "/help.php");
	?></div>
	<?php
	  }
	}
	?>
